%define upstream_name    Chart-Graph
%define upstream_version 3.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl extension for a front-end to gnuplot, XRT, and Xmgrace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Chart/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:      noarch


Provides:   perl(Base_Option)
Provides:   perl(Chart::Graph::Xmgrace::Axis_Options)
Provides:   perl(Chart::Graph::Xmgrace::Dataset_Options)
Provides:   perl(Chart::Graph::Xmgrace::Graph_Options)

%description 
Graph.pm is a wrapper module that allows easy generation of graphs within perl.
Currently Graph.pm supports three graphing packages, gnuplot, XRT, and Xmgrace.
These software packages must be obtained separately from this Perl module.
Information on each graphing package and it's availability is provided in the
documentation on that module. Gnuplot and Xmgrace are freely available software
pages for UNIX systems. XRT is a commercial product.

Currently the xrt3d and xrt2d package is not being supported, although it
works. It is still in the development stage. Feel free to give it a try though.

The parsers also write the test data into the 'Test Result Publication
Interface' (TRPI) XML schema, developed by SpikeSource.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <</dev/null
%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING ChangeLog README
%{perl_vendorlib}/Chart
%{_mandir}/*/*


%changelog
* Thu May 12 2016 tv <tv> 3.200.0-7.mga6
+ Revision: 1013938
- use std build macros

* Mon Feb 08 2016 umeabot <umeabot> 3.200.0-6.mga6
+ Revision: 944589
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.200.0-5.mga5
+ Revision: 740700
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.200.0-4.mga5
+ Revision: 683865
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.200.0-3.mga4
+ Revision: 509899
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.200.0-2.mga3
+ Revision: 364164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 3.200.0-1.mga1
+ Revision: 29862
- mageia rebuild
- imported package perl-Chart-Graph

